slepc-3.21.1 2024-04-26
Report Typos and Errors

# STSetType

Builds ST for a particular spectral transformation.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetType(ST st,STType type)

Logically Collective

### Input Parameters

| st | - the spectral transformation context.
| type | - a known type

### Options Database Key

| -st_type <type> | - Sets ST type

Use -help for a list of available transformations

### Notes

See "slepc/include/slepcst.h" for available transformations

Normally, it is best to use the EPSSetFromOptions() command and then set the ST type from the options database rather than by using this routine. Using the options database provides the user with maximum flexibility in evaluating the many different transformations.

### See Also

EPSSetType()

### Level

beginner

### Location

src/sys/classes/st/interface/stset.c

### Examples

src/eps/tutorials/ex12.c
src/eps/tutorials/ex24.c
src/eps/tutorials/ex25.c
src/eps/tutorials/ex35.c
src/eps/tutorials/ex36.c
src/eps/tutorials/ex43.c
src/eps/tutorials/ex46.c
src/eps/tutorials/ex49.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex50.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages